Skip to content
Start here

Delete Subscription

accounts.subscriptions.delete(strsubscription_identifier, SubscriptionDeleteParams**kwargs) -> SubscriptionDeleteResponse
DELETE/accounts/{account_id}/subscriptions/{subscription_identifier}

Deletes an account's subscription.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing Write
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
subscription_identifier: str

Subscription identifier tag.

maxLength32
ReturnsExpand Collapse
class SubscriptionDeleteResponse:
subscription_id: Optional[str]

Subscription identifier tag.

maxLength32

Delete Subscription

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
subscription = client.accounts.subscriptions.delete(
    subscription_identifier="506e3185e9c882d175a2d0cb0093d9f2",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(subscription.subscription_id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "subscription_id": "506e3185e9c882d175a2d0cb0093d9f2"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "subscription_id": "506e3185e9c882d175a2d0cb0093d9f2"
  },
  "success": true
}